input:
  environment: "alpine:3.21"
  command:
    - echo
    - Hello World!
  limits:
    wall_time_ms: 5000
    cpu_cores: 1
    action_processes: 100
    user_processes: 100
    memory_bytes: 100MB
    disk_bytes: 10MB
    output_bytes: 10MB

expectedOutput:
  result:
    exit_code: 0
    status: SUCCEEDED
    outputs:
      - resource:
          uri_string: "stream:stdout"
          contents: "@stdout.txt"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
      - resource:
          uri_string: "stream:stderr"
          meta:
            uid: 0
            gid: 0
            userPermissions: { read: true }
            groupPermissions: { read: true }
            othersPermissions: { read: true }
        is_present: true
        exceeded_size: false
  metrics:
    output_bytes: 13
    created_processes: 1
    max_processes: 1
    disk_bytes: 0
